Loading...
Searching...
No Matches
Opm::DeckView::Iterator Struct Reference

## Public Types

using | difference_type = storage_type::const_iterator::difference_type
using | iterator_category = storage_type::const_iterator::iterator_category
using | pointer = const DeckKeyword*
using | reference = const DeckKeyword&
using | value_type = DeckKeyword

## Public Member Functions

| Iterator (storage_type::const_iterator inner_iter)
const DeckKeyword & | operator* () const
const DeckKeyword * | operator-> () const
Iterator & | operator++ ()
Iterator | operator++ (int)
Iterator & | operator-- ()
Iterator | operator-- (int)
Iterator::difference_type | operator- (const Iterator &other) const
Iterator | operator+ (Iterator::difference_type shift) const

## Friends

bool | operator== (const Iterator &a, const Iterator &b)
bool | operator<= (const Iterator &a, const Iterator &b)
bool | operator!= (const Iterator &a, const Iterator &b)

The documentation for this struct was generated from the following file:

- opm/input/eclipse/Deck/DeckView.hpp